<html>
<head>
<title>Ogre::StaticCache&lt; cacheSize &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StaticCache.html">StaticCache</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::StaticCache&lt; cacheSize &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::StaticCache" -->
<p>Template version of cache based on static array.  
 <a href="classOgre_1_1StaticCache.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>&gt;</code></p>

<p><a href="classOgre_1_1StaticCache-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#a3e71993f421220f6d20a42c6c7401302">StaticCache</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3e71993f421220f6d20a42c6c7401302"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#a5b61f6d3a1c376811aedbd7718890d99">cacheData</a> (const void *buf, size_t count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cache data pointed by 'buf'.  <a href="#a5b61f6d3a1c376811aedbd7718890d99"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#a98387ba5e5f61b22c0933ed2f3dfb303">read</a> (void *buf, size_t count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data from cache to 'buf' (maximum 'count' bytes).  <a href="#a98387ba5e5f61b22c0933ed2f3dfb303"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#a391ccc42df8e159a6b5dd7da49ac1679">rewind</a> (size_t count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Step back in cached stream by 'count' bytes.  <a href="#a391ccc42df8e159a6b5dd7da49ac1679"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#a0c5c50ba8dcb899f95414093f1085789">ff</a> (size_t count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Step forward in cached stream by 'count' bytes.  <a href="#a0c5c50ba8dcb899f95414093f1085789"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#ae662e9d7744c0f70e8aa256b9403455b">avail</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns number of bytes available for reading in cache after rewinding.  <a href="#ae662e9d7744c0f70e8aa256b9403455b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#abf9d854f82e9e25fb410be84941890ee">clear</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the cache.  <a href="#abf9d854f82e9e25fb410be84941890ee"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#a26bae78964bd44c51a675f3159a10ae3">mBuffer</a> [cacheSize]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Static buffer.  <a href="#a26bae78964bd44c51a675f3159a10ae3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#ae776876f275784304238426ebbe17110">mValidBytes</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of bytes valid in cache (written from the beginning of static buffer)  <a href="#ae776876f275784304238426ebbe17110"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html#a127f251105172f3487c603ba73fbd90f">mPos</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Current read position.  <a href="#a127f251105172f3487c603ba73fbd90f"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;size_t cacheSize&gt;<br/>
class Ogre::StaticCache&lt; cacheSize &gt;</h3>

<p>Template version of cache based on static array. </p>
<p>'cacheSize' defines size of cache in bytes. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00041">41</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3e71993f421220f6d20a42c6c7401302"></a><!-- doxytag: member="Ogre::StaticCache::StaticCache" ref="a3e71993f421220f6d20a42c6c7401302" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html">StaticCache</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00054">54</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae662e9d7744c0f70e8aa256b9403455b"></a><!-- doxytag: member="Ogre::StaticCache::avail" ref="ae662e9d7744c0f70e8aa256b9403455b" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#ae662e9d7744c0f70e8aa256b9403455b">avail</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns number of bytes available for reading in cache after rewinding. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00135">135</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

<p>Referenced by <a class="el" href="OgreDataStream_8h_source.html#l00062">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::cacheData()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00120">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::ff()</a>, and <a class="el" href="OgreDataStream_8h_source.html#l00096">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::read()</a>.</p>

</div>
</div>
<a class="anchor" id="a5b61f6d3a1c376811aedbd7718890d99"></a><!-- doxytag: member="Ogre::StaticCache::cacheData" ref="a5b61f6d3a1c376811aedbd7718890d99" args="(const void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#a5b61f6d3a1c376811aedbd7718890d99">cacheData</a> </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cache data pointed by 'buf'. </p>
<p>If 'count' is greater than cache size, we cache only last bytes. Returns number of bytes written to cache. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00062">62</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="abf9d854f82e9e25fb410be84941890ee"></a><!-- doxytag: member="Ogre::StaticCache::clear" ref="abf9d854f82e9e25fb410be84941890ee" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#abf9d854f82e9e25fb410be84941890ee">clear</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear the cache. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00141">141</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

<p>Referenced by <a class="el" href="OgreDataStream_8h_source.html#l00120">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::ff()</a>, and <a class="el" href="OgreDataStream_8h_source.html#l00106">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::rewind()</a>.</p>

</div>
</div>
<a class="anchor" id="a0c5c50ba8dcb899f95414093f1085789"></a><!-- doxytag: member="Ogre::StaticCache::ff" ref="a0c5c50ba8dcb899f95414093f1085789" args="(size_t count)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#a0c5c50ba8dcb899f95414093f1085789">ff</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Step forward in cached stream by 'count' bytes. </p>
<p>Returns 'true' if cache contains resulting position. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00120">120</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a98387ba5e5f61b22c0933ed2f3dfb303"></a><!-- doxytag: member="Ogre::StaticCache::read" ref="a98387ba5e5f61b22c0933ed2f3dfb303" args="(void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#a98387ba5e5f61b22c0933ed2f3dfb303">read</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Read data from cache to 'buf' (maximum 'count' bytes). </p>
<p>Returns number of bytes read from cache. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00096">96</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a391ccc42df8e159a6b5dd7da49ac1679"></a><!-- doxytag: member="Ogre::StaticCache::rewind" ref="a391ccc42df8e159a6b5dd7da49ac1679" args="(size_t count)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#a391ccc42df8e159a6b5dd7da49ac1679">rewind</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Step back in cached stream by 'count' bytes. </p>
<p>Returns 'true' if cache contains resulting position. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00106">106</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a26bae78964bd44c51a675f3159a10ae3"></a><!-- doxytag: member="Ogre::StaticCache::mBuffer" ref="a26bae78964bd44c51a675f3159a10ae3" args="[cacheSize]" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">char <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#a26bae78964bd44c51a675f3159a10ae3">mBuffer</a>[cacheSize]<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Static buffer. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00045">45</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

<p>Referenced by <a class="el" href="OgreDataStream_8h_source.html#l00062">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::cacheData()</a>, and <a class="el" href="OgreDataStream_8h_source.html#l00096">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::read()</a>.</p>

</div>
</div>
<a class="anchor" id="a127f251105172f3487c603ba73fbd90f"></a><!-- doxytag: member="Ogre::StaticCache::mPos" ref="a127f251105172f3487c603ba73fbd90f" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#a127f251105172f3487c603ba73fbd90f">mPos</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Current read position. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00050">50</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

<p>Referenced by <a class="el" href="OgreDataStream_8h_source.html#l00135">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::avail()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00062">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::cacheData()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00141">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::clear()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00120">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::ff()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00096">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::read()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00106">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::rewind()</a>, and <a class="el" href="OgreDataStream_8h_source.html#l00054">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::StaticCache()</a>.</p>

</div>
</div>
<a class="anchor" id="ae776876f275784304238426ebbe17110"></a><!-- doxytag: member="Ogre::StaticCache::mValidBytes" ref="ae776876f275784304238426ebbe17110" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t cacheSize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache</a>&lt; cacheSize &gt;::<a class="el" href="classOgre_1_1StaticCache.html#ae776876f275784304238426ebbe17110">mValidBytes</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of bytes valid in cache (written from the beginning of static buffer) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00048">48</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

<p>Referenced by <a class="el" href="OgreDataStream_8h_source.html#l00135">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::avail()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00062">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::cacheData()</a>, <a class="el" href="OgreDataStream_8h_source.html#l00141">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::clear()</a>, and <a class="el" href="OgreDataStream_8h_source.html#l00054">Ogre::StaticCache&lt; 16 *OGRE_STREAM_TEMP_SIZE &gt;::StaticCache()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
